Subject: Re: bug#48117: 28.0.50; Update of loaddefs.el during normal build is unreliable

From: Gregory Heytings <[email-masked]>
Date: Sat, 01 May 2021 09:20:51 +0000

>> You suggested copying ldefs-boot.el onto loaddefs.el when it is more 
>> recent.  I'm not entirely sure, but it seems to me that forcing a 
>> regeneration of the loaddefs files during make whenever ldefs-boot.el 
>> is more recent than loaddefs.el would be a better solution.
>
> Your proposal would produce marginally better results for a 
> significantly longer build time, so I don't think it's a net win.
>

If ldefs-boot.el is updated, say, once a week, this would force the 
regeneration of the loaddefs files at most once a week.  Wouldn't that be 
a reasonable compromise?  On my computer, regenerating the loaddefs files 
takes about 10 seconds, or ~3% of the time of a make bootstrap.